> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/page-load/models.md).

# Models

## The PageLoadResponseGateway object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load Tracking","version":"v12"},"components":{"schemas":{"PageLoadResponseGateway":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The destination landing page URL. Present when PageUrl is an impact.com gateway tracking link."},"clickId":{"type":"string","description":"The unique click ID generated by impact.com for this event."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["ERROR","WARNING"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The PageLoadResponseDirect object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load Tracking","version":"v12"},"components":{"schemas":{"PageLoadResponseDirect":{"type":"object","properties":{"clickId":{"type":"string","description":"The unique click ID generated by impact.com for this event."},"sessionStart":{"type":"string","format":"date-time","description":"The timestamp when the user session started."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["ERROR","WARNING"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load Tracking","version":"v12"},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","description":"Errors that prevented the request from succeeding.","items":{"$ref":"#/components/schemas/ResponseMessage"}},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["ERROR","WARNING"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The ResponseMessage object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load Tracking","version":"v12"},"components":{"schemas":{"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["ERROR","WARNING"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/page-load/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
